Subject: Re: bug#11028: 24.0.94; bad lighter and menus for `text-scale-mode'

From: Eli Zaretskii <[email-masked]>
Date: Sun, 01 May 2016 23:00:38 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Date: Sun, 01 May 2016 21:46:39 +0200
> Cc: [email-masked]
> 
> "Drew Adams" <[email-masked]> writes:
> 
> >  -1
> >  -------------------
> >  Turn Off minor mode
> >  Help for minor mode
> 
> [...]
>   (let* ((minor-mode (lookup-minor-mode-from-indicator indicator))
>          (mm-fun (or (get minor-mode :minor-mode-function) minor-mode)))
> 
> Wow, that's a roundabout way of doing it...  Anyway, we then have the
> mode symbol...  What about using a pretty version of the mode symbol as
> the menu header?  That would be "Text Scale Mode" in this case.

What menu header?  Drew was complaining about the tooltip, not the
menu.  When you actually click on the lighter, the pop-up menu does
have a header that shows the mode name.

So what are you trying to do here?

> I think that would be better than using the lighter as the menu header.

Why?